com.lowagie.text.rtf.style

## Class RtfColor

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.style.RtfColor

- All Implemented Interfaces:
    RtfBasicElement, RtfExtendedElement, RtfElementInterface

      public class RtfColor
      extends RtfElement
      implements RtfExtendedElement

  The RtfColor stores one rtf color value for a rtf document
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `blue` The blue value
    `private static byte` | `COLON` Constant for the end of one color entry
    `private static byte[]` | `COLOR_BLUE` Constant for BLUE value
    `private static byte[]` | `COLOR_GREEN` Constant for GREEN value
    `private static byte[]` | `COLOR_NUMBER` Constant for the number of the color in the list of colors
    `private static byte[]` | `COLOR_RED` Constant for RED value
    `private int` | `colorNumber` The number of the color in the list of colors
    `private int` | `green` The green value
    `private int` | `red` The red value

    - ### Fields inherited from class com.lowagie.text.rtf.RtfElement

      `document, inHeader, inTable`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RtfColor(RtfDocument doc, java.awt.Color col)` Constructs a RtfColor based on the Color
    `` | `RtfColor(RtfDocument doc, int red, int green, int blue)` Constructs a RtfColor based on the red/green/blue values
    `protected` | `RtfColor(RtfDocument doc, int red, int green, int blue, int colorNumber)` Constructor only for use when initializing the RtfColorList
    `` | `RtfColor(RtfDocument doc, RtfColor col)` Constructs a RtfColor as a clone of an existing RtfColor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests if this RtfColor is equal to another RtfColor.
    `int` | `getBlue()` Get the blue value of this RtfColor
    `int` | `getColorNumber()` Gets the number of this RtfColor in the list of colors
    `int` | `getGreen()` Get the green value of this RtfColor
    `int` | `getRed()` Get the red value of this RtfColor
    `int` | `hashCode()` Returns the hash code of this RtfColor.
    `void` | `setRtfDocument(RtfDocument doc)` Sets the RtfDocument this RtfColor belongs to
    `void` | `writeBegin(java.io.OutputStream result)` Writes the beginning of this RtfColor
    `void` | `writeContent(java.io.OutputStream out)` unused
    `void` | `writeDefinition(java.io.OutputStream result)` Write the definition part of this RtfColor.
    `void` | `writeEnd(java.io.OutputStream result)` Unused

    - ### Methods inherited from class com.lowagie.text.rtf.RtfElement

      `intToByteArray, isInTable, setInHeader, setInTable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `setInHeader, setInTable`

- - ### Field Detail

    - #### COLOR_RED

          private static final byte[] COLOR_RED

      Constant for RED value

    - #### COLOR_GREEN

          private static final byte[] COLOR_GREEN

      Constant for GREEN value

    - #### COLOR_BLUE

          private static final byte[] COLOR_BLUE

      Constant for BLUE value

    - #### COLON

          private static final byte COLON

      Constant for the end of one color entry
      See Also:
        Constant Field Values

    - #### COLOR_NUMBER

          private static final byte[] COLOR_NUMBER

      Constant for the number of the color in the list of colors

    - #### colorNumber

          private int colorNumber

      The number of the color in the list of colors

    - #### red

          private int red

      The red value

    - #### green

          private int green

      The green value

    - #### blue

          private int blue

      The blue value

  - ### Constructor Detail

    - #### RtfColor

          protected RtfColor(RtfDocument doc,
                  int red,
                  int green,
                  int blue,
                  int colorNumber)

      Constructor only for use when initializing the RtfColorList
      Parameters:
        `doc` - The RtfDocument this RtfColor belongs to
        `red` - The red value to use
        `green` - The green value to use
        `blue` - The blue value to use
        `colorNumber` - The number of the color in the color list

    - #### RtfColor

          public RtfColor(RtfDocument doc,
                  RtfColor col)

      Constructs a RtfColor as a clone of an existing RtfColor
      Parameters:
        `doc` - The RtfDocument this RtfColor belongs to
        `col` - The RtfColor to use as a base

    - #### RtfColor

          public RtfColor(RtfDocument doc,
                  java.awt.Color col)

      Constructs a RtfColor based on the Color
      Parameters:
        `doc` - The RtfDocument this RtfColor belongs to
        `col` - The Color to base this RtfColor on

    - #### RtfColor

          public RtfColor(RtfDocument doc,
                  int red,
                  int green,
                  int blue)

      Constructs a RtfColor based on the red/green/blue values
      Parameters:
        `doc` - The RtfDocument this RtfColor belongs to
        `red` - The red value to use
        `green` - The green value to use
        `blue` - The blue value to use

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream out)
                            throws java.io.IOException

      unused
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfElement`
      Parameters:
        `out` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`

    - #### writeDefinition

          public void writeDefinition(java.io.OutputStream result)
                               throws java.io.IOException

      Write the definition part of this RtfColor.
      Specified by:
        `writeDefinition` in interface `RtfExtendedElement`
      Parameters:
        `result` - The `OutputStream` to write the element definition to
      Throws:
        `java.io.IOException`

    - #### writeBegin

          public void writeBegin(java.io.OutputStream result)

      Writes the beginning of this RtfColor

    - #### writeEnd

          public void writeEnd(java.io.OutputStream result)

      Unused
      Parameters:
        `result` - The `OutputStream` to which nothing will be written

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests if this RtfColor is equal to another RtfColor.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - another RtfColor
      Returns:
        `True` if red, green and blue values of the two colors match, `false` otherwise.

    - #### hashCode

          public int hashCode()

      Returns the hash code of this RtfColor. The hash code is an integer with the lowest three bytes containing the values of red, green and blue.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        The hash code of this RtfColor

    - #### getBlue

          public int getBlue()

      Get the blue value of this RtfColor
      Returns:
        The blue value

    - #### getGreen

          public int getGreen()

      Get the green value of this RtfColor
      Returns:
        The green value

    - #### getRed

          public int getRed()

      Get the red value of this RtfColor
      Returns:
        The red value

    - #### getColorNumber

          public int getColorNumber()

      Gets the number of this RtfColor in the list of colors
      Returns:
        Returns the colorNumber.

    - #### setRtfDocument

          public void setRtfDocument(RtfDocument doc)

      Sets the RtfDocument this RtfColor belongs to
      Specified by:
        `setRtfDocument` in interface `RtfBasicElement`
      Overrides:
        `setRtfDocument` in class `RtfElement`
      Parameters:
        `doc` - The RtfDocument to use